GET api/pcconfigapi/pcconfigs/{pcId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pcId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "09b28d01-6edf-4253-8c8b-0975e151bda2",
"key": "67db39c7-a886-42ad-847b-a929b6fdacc9",
"pc_id": "289750fd-473b-4cda-b323-ed1fffae22d9",
"value": "sample string 3"
},
{
"active": true,
"id": "09b28d01-6edf-4253-8c8b-0975e151bda2",
"key": "67db39c7-a886-42ad-847b-a929b6fdacc9",
"pc_id": "289750fd-473b-4cda-b323-ed1fffae22d9",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>09b28d01-6edf-4253-8c8b-0975e151bda2</id>
<key>67db39c7-a886-42ad-847b-a929b6fdacc9</key>
<pc_id>289750fd-473b-4cda-b323-ed1fffae22d9</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>09b28d01-6edf-4253-8c8b-0975e151bda2</id>
<key>67db39c7-a886-42ad-847b-a929b6fdacc9</key>
<pc_id>289750fd-473b-4cda-b323-ed1fffae22d9</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>